#!/bin/bash
set -euo pipefail
IFS=$'\n\t'

PHPVER=${1:-5.6}
PHPARCH=${2:-x64}

echo "CWD: $PWD"
rm -rf p4api
tar zxvf p4api.tgz 
mv p4api-* p4api
if [ ! -f build-p4php.sh ]; then
  ln -s p4php/jenkins/build-p4php.sh build-p4php.sh
fi
docker run --rm -v $PWD:/p4php-dev p4php-${PHPVER}-${PHPARCH}
cp p4php/modules/perforce.so p4php-${PHPVER}-${PHPARCH}.so
