/*
 * php_macros.h
 *
 *  Created on: 3 Sep 2009
 *      Author: sknop
 */

#ifndef PHP_MACROS_H_
#define PHP_MACROS_H_

/* Determine which addref / delref macros to use. */
#if PHP_MAJOR_VERSION == 5 && PHP_MINOR_VERSION >= 3
 #define ADDREF_FUNC(x) Z_ADDREF_P(x)
 #define DELREF_FUNC(x) Z_DELREF_P(x)
#else
 #define ADDREF_FUNC(x) ZVAL_ADDREF(x)
 #define DELREF_FUNC(x) ZVAL_DELREF(x)
#endif

#define PHP_PERFORCE_DEBUG_COMMANDS 0
#define PHP_PERFORCE_DEBUG_CALLS    0
#define PHP_PERFORCE_DEBUG_DATA     0
#define PHP_PERFORCE_DEBUG_GC       0
#define PHP_PERFORCE_DEBUG_RPC      0

#define PHP_PERFORCE_DEBUG (PHP_PERFORCE_DEBUG_COMMANDS \
|| PHP_PERFORCE_DEBUG_CALLS \
|| PHP_PERFORCE_DEBUG_DATA \
|| PHP_PERFORCE_DEBUG_GC \
|| PHP_PERFORCE_DEBUG_RPC)

#endif /* PHP_MACROS_H_ */
